# Bank

Banks and accounts

## GET /erp/bank/{id}

> Find an existing Resource by identifier

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/bank/{id}":{"get":{"tags":["Bank"],"summary":"Find an existing Resource by identifier","operationId":"getById_72","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-Bank"}}}},"404":{"description":"Resource with given ID was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-bank-Bank":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"description"},"bankingBackend":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"bankName":{"type":"string","description":"bank name"},"bic":{"type":"string","description":"BIC"},"blz":{"type":"string","description":"BLZ"},"externalId":{"type":"string","description":"External BankID"},"creditorId":{"type":"string","description":"Gläubiger-Identifikationsnummer"},"userActionRequired":{"type":"boolean","description":"Wether a call to bank init is needed.","readOnly":true},"accounts":{"type":"array","description":"accounts","items":{"$ref":"#/components/schemas/erp-bank-BankAccount"}},"providerId":{"type":"integer","format":"int64","description":"ID of the banking provider"},"userForSyncRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Ist die Bank aktiv","readOnly":true},"logoUrl":{"type":"string","description":"URL des Bank-Logos"}},"required":["label"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-bank-BankAccount":{"description":"accounts","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"bankId":{"type":"integer","format":"int64","description":"id of the bank"},"label":{"type":"string","description":"description"},"iban":{"type":"string","description":"IBAN"},"accountNumber":{"type":"string","description":"account number"},"subAccountNumber":{"type":"string","description":"sub account number"},"holderName":{"type":"string","description":"account holder"},"currency":{"type":"string","description":"currency"},"accountCredit":{"type":"number","description":"Kontokorrent-Betrag"},"sortOrder":{"type":"integer","format":"int32","description":"Konto-Position"},"defaultBankAccount":{"type":"boolean","default":false,"description":"Standard-Konto"},"active":{"type":"boolean","description":"Aktiv?"},"externalReferenceId":{"type":"string","description":"Referenz ID aus externem System","readOnly":true}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## PUT /erp/bank/{id}

> Update existing Resource&#x20;

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/bank/{id}":{"put":{"tags":["Bank"],"summary":"Update existing Resource ","operationId":"update_65","parameters":[{"name":"id","in":"path","description":"ID der Bank","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-Bank"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-Bank"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-bank-Bank":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"description"},"bankingBackend":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"bankName":{"type":"string","description":"bank name"},"bic":{"type":"string","description":"BIC"},"blz":{"type":"string","description":"BLZ"},"externalId":{"type":"string","description":"External BankID"},"creditorId":{"type":"string","description":"Gläubiger-Identifikationsnummer"},"userActionRequired":{"type":"boolean","description":"Wether a call to bank init is needed.","readOnly":true},"accounts":{"type":"array","description":"accounts","items":{"$ref":"#/components/schemas/erp-bank-BankAccount"}},"providerId":{"type":"integer","format":"int64","description":"ID of the banking provider"},"userForSyncRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Ist die Bank aktiv","readOnly":true},"logoUrl":{"type":"string","description":"URL des Bank-Logos"}},"required":["label"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-bank-BankAccount":{"description":"accounts","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"bankId":{"type":"integer","format":"int64","description":"id of the bank"},"label":{"type":"string","description":"description"},"iban":{"type":"string","description":"IBAN"},"accountNumber":{"type":"string","description":"account number"},"subAccountNumber":{"type":"string","description":"sub account number"},"holderName":{"type":"string","description":"account holder"},"currency":{"type":"string","description":"currency"},"accountCredit":{"type":"number","description":"Kontokorrent-Betrag"},"sortOrder":{"type":"integer","format":"int32","description":"Konto-Position"},"defaultBankAccount":{"type":"boolean","default":false,"description":"Standard-Konto"},"active":{"type":"boolean","description":"Aktiv?"},"externalReferenceId":{"type":"string","description":"Referenz ID aus externem System","readOnly":true}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## DELETE /erp/bank/{id}

> Delete an existing Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/bank/{id}":{"delete":{"tags":["Bank"],"summary":"Delete an existing Resource","operationId":"delete_61","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"409":{"description":"unable to delete Resource, due to constraints, existing references or internal state","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## PUT /erp/bank/{id}/deactivate

> deaktiviert eine bestehende Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/bank/{id}/deactivate":{"put":{"tags":["Bank"],"summary":"deaktiviert eine bestehende Resource","operationId":"deactivate_29","parameters":[{"name":"id","in":"path","description":"identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-Bank"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-bank-Bank":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"description"},"bankingBackend":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"bankName":{"type":"string","description":"bank name"},"bic":{"type":"string","description":"BIC"},"blz":{"type":"string","description":"BLZ"},"externalId":{"type":"string","description":"External BankID"},"creditorId":{"type":"string","description":"Gläubiger-Identifikationsnummer"},"userActionRequired":{"type":"boolean","description":"Wether a call to bank init is needed.","readOnly":true},"accounts":{"type":"array","description":"accounts","items":{"$ref":"#/components/schemas/erp-bank-BankAccount"}},"providerId":{"type":"integer","format":"int64","description":"ID of the banking provider"},"userForSyncRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Ist die Bank aktiv","readOnly":true},"logoUrl":{"type":"string","description":"URL des Bank-Logos"}},"required":["label"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-bank-BankAccount":{"description":"accounts","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"bankId":{"type":"integer","format":"int64","description":"id of the bank"},"label":{"type":"string","description":"description"},"iban":{"type":"string","description":"IBAN"},"accountNumber":{"type":"string","description":"account number"},"subAccountNumber":{"type":"string","description":"sub account number"},"holderName":{"type":"string","description":"account holder"},"currency":{"type":"string","description":"currency"},"accountCredit":{"type":"number","description":"Kontokorrent-Betrag"},"sortOrder":{"type":"integer","format":"int32","description":"Konto-Position"},"defaultBankAccount":{"type":"boolean","default":false,"description":"Standard-Konto"},"active":{"type":"boolean","description":"Aktiv?"},"externalReferenceId":{"type":"string","description":"Referenz ID aus externem System","readOnly":true}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## PUT /erp/bank/{id}/activate

> aktiviert eine bestehende Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/bank/{id}/activate":{"put":{"tags":["Bank"],"summary":"aktiviert eine bestehende Resource","operationId":"activate_29","parameters":[{"name":"id","in":"path","description":"identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-Bank"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-bank-Bank":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"description"},"bankingBackend":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"bankName":{"type":"string","description":"bank name"},"bic":{"type":"string","description":"BIC"},"blz":{"type":"string","description":"BLZ"},"externalId":{"type":"string","description":"External BankID"},"creditorId":{"type":"string","description":"Gläubiger-Identifikationsnummer"},"userActionRequired":{"type":"boolean","description":"Wether a call to bank init is needed.","readOnly":true},"accounts":{"type":"array","description":"accounts","items":{"$ref":"#/components/schemas/erp-bank-BankAccount"}},"providerId":{"type":"integer","format":"int64","description":"ID of the banking provider"},"userForSyncRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Ist die Bank aktiv","readOnly":true},"logoUrl":{"type":"string","description":"URL des Bank-Logos"}},"required":["label"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-bank-BankAccount":{"description":"accounts","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"bankId":{"type":"integer","format":"int64","description":"id of the bank"},"label":{"type":"string","description":"description"},"iban":{"type":"string","description":"IBAN"},"accountNumber":{"type":"string","description":"account number"},"subAccountNumber":{"type":"string","description":"sub account number"},"holderName":{"type":"string","description":"account holder"},"currency":{"type":"string","description":"currency"},"accountCredit":{"type":"number","description":"Kontokorrent-Betrag"},"sortOrder":{"type":"integer","format":"int32","description":"Konto-Position"},"defaultBankAccount":{"type":"boolean","default":false,"description":"Standard-Konto"},"active":{"type":"boolean","description":"Aktiv?"},"externalReferenceId":{"type":"string","description":"Referenz ID aus externem System","readOnly":true}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## POST /erp/bank

> Create new Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/bank":{"post":{"tags":["Bank"],"summary":"Create new Resource","operationId":"create_61","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-Bank"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-Bank"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-bank-Bank":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"description"},"bankingBackend":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"bankName":{"type":"string","description":"bank name"},"bic":{"type":"string","description":"BIC"},"blz":{"type":"string","description":"BLZ"},"externalId":{"type":"string","description":"External BankID"},"creditorId":{"type":"string","description":"Gläubiger-Identifikationsnummer"},"userActionRequired":{"type":"boolean","description":"Wether a call to bank init is needed.","readOnly":true},"accounts":{"type":"array","description":"accounts","items":{"$ref":"#/components/schemas/erp-bank-BankAccount"}},"providerId":{"type":"integer","format":"int64","description":"ID of the banking provider"},"userForSyncRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Ist die Bank aktiv","readOnly":true},"logoUrl":{"type":"string","description":"URL des Bank-Logos"}},"required":["label"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-bank-BankAccount":{"description":"accounts","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"bankId":{"type":"integer","format":"int64","description":"id of the bank"},"label":{"type":"string","description":"description"},"iban":{"type":"string","description":"IBAN"},"accountNumber":{"type":"string","description":"account number"},"subAccountNumber":{"type":"string","description":"sub account number"},"holderName":{"type":"string","description":"account holder"},"currency":{"type":"string","description":"currency"},"accountCredit":{"type":"number","description":"Kontokorrent-Betrag"},"sortOrder":{"type":"integer","format":"int32","description":"Konto-Position"},"defaultBankAccount":{"type":"boolean","default":false,"description":"Standard-Konto"},"active":{"type":"boolean","description":"Aktiv?"},"externalReferenceId":{"type":"string","description":"Referenz ID aus externem System","readOnly":true}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## POST /erp/bank/{id}/new\_connection

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/bank/{id}/new_connection":{"post":{"tags":["Bank"],"operationId":"makeNewConnection","parameters":[{"name":"id","in":"path","description":"ID der Bank","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## POST /erp/bank/{id}/authentication\_status

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/bank/{id}/authentication_status":{"post":{"tags":["Bank"],"operationId":"getAuthStatus","parameters":[{"name":"id","in":"path","description":"ID der Bank","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}}}}
```

## GET /erp/bank/{id}/accounts

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/bank/{id}/accounts":{"get":{"tags":["Bank"],"operationId":"getBankAccounts","parameters":[{"name":"id","in":"path","description":"ID der Bank","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-bank-BankAccount"}}}}}}}}},"components":{"schemas":{"erp-bank-BankAccount":{"description":"accounts","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"bankId":{"type":"integer","format":"int64","description":"id of the bank"},"label":{"type":"string","description":"description"},"iban":{"type":"string","description":"IBAN"},"accountNumber":{"type":"string","description":"account number"},"subAccountNumber":{"type":"string","description":"sub account number"},"holderName":{"type":"string","description":"account holder"},"currency":{"type":"string","description":"currency"},"accountCredit":{"type":"number","description":"Kontokorrent-Betrag"},"sortOrder":{"type":"integer","format":"int32","description":"Konto-Position"},"defaultBankAccount":{"type":"boolean","default":false,"description":"Standard-Konto"},"active":{"type":"boolean","description":"Aktiv?"},"externalReferenceId":{"type":"string","description":"Referenz ID aus externem System","readOnly":true}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}}}}}
```

## POST /erp/bank/{id}/accounts

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/bank/{id}/accounts":{"post":{"tags":["Bank"],"operationId":"createBankAccount","parameters":[{"name":"id","in":"path","description":"ID der Bank","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-BankAccount"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-BankAccount"}}}}}}}},"components":{"schemas":{"erp-bank-BankAccount":{"description":"accounts","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"bankId":{"type":"integer","format":"int64","description":"id of the bank"},"label":{"type":"string","description":"description"},"iban":{"type":"string","description":"IBAN"},"accountNumber":{"type":"string","description":"account number"},"subAccountNumber":{"type":"string","description":"sub account number"},"holderName":{"type":"string","description":"account holder"},"currency":{"type":"string","description":"currency"},"accountCredit":{"type":"number","description":"Kontokorrent-Betrag"},"sortOrder":{"type":"integer","format":"int32","description":"Konto-Position"},"defaultBankAccount":{"type":"boolean","default":false,"description":"Standard-Konto"},"active":{"type":"boolean","description":"Aktiv?"},"externalReferenceId":{"type":"string","description":"Referenz ID aus externem System","readOnly":true}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}}}}}
```

## POST /erp/bank/{id}/accounts/sync

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/bank/{id}/accounts/sync":{"post":{"tags":["Bank"],"operationId":"syncBankAccount","parameters":[{"name":"id","in":"path","description":"ID der Bank","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"Save sync","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-bank-BankAccount"}}}}}}}}},"components":{"schemas":{"erp-bank-BankAccount":{"description":"accounts","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"bankId":{"type":"integer","format":"int64","description":"id of the bank"},"label":{"type":"string","description":"description"},"iban":{"type":"string","description":"IBAN"},"accountNumber":{"type":"string","description":"account number"},"subAccountNumber":{"type":"string","description":"sub account number"},"holderName":{"type":"string","description":"account holder"},"currency":{"type":"string","description":"currency"},"accountCredit":{"type":"number","description":"Kontokorrent-Betrag"},"sortOrder":{"type":"integer","format":"int32","description":"Konto-Position"},"defaultBankAccount":{"type":"boolean","default":false,"description":"Standard-Konto"},"active":{"type":"boolean","description":"Aktiv?"},"externalReferenceId":{"type":"string","description":"Referenz ID aus externem System","readOnly":true}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}}}}}
```

## POST /erp/bank/update\_connection/{bankId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/bank/update_connection/{bankId}":{"post":{"tags":["Bank"],"operationId":"updateConnection","parameters":[{"name":"bankId","in":"path","description":"bankId","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-BankConnectionUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-ApiTaskInfo"}}}}}}}},"components":{"schemas":{"erp-bank-BankConnectionUpdateRequest":{"properties":{"importNewAccounts":{"type":"boolean","default":false,"description":"Sollen neue Bankkonten importiert werden?"},"manageSavedSettings":{"type":"string","default":"NONE","description":"Sollen die gespeicherten Einwilligungen bearbeitet werden?","enum":["CREDENTIALS","DEFAULT_TWO_STEP_PROCEDURE","NONE"]}}},"erp-bank-ApiTaskInfo":{"properties":{"id":{"type":"string","description":"Die ID des externen Tasks"},"createdAt":{"type":"string","format":"date-time","description":"Wann der Task angelegt wurde"},"status":{"type":"string","description":"Was ist der Status des Tasks derzeit","enum":["NOT_YET_STARTED","IN_PROGRESS","WEB_FORM_REQUIRED","COMPLETED","COMPLETED_WITH_ERROR"]},"payload":{"$ref":"#/components/schemas/erp-bank-ApiPayload"},"webform":{"$ref":"#/components/schemas/erp-bank-ApiWebform"}}},"erp-bank-ApiPayload":{"description":"api Payload","properties":{"bankConnectionId":{"type":"integer","format":"int64","description":"bank connection ID"},"paymentId":{"type":"integer","format":"int64","description":"payment Id"},"standingOrderId":{"type":"integer","format":"int64","description":"standing order Id"}}},"erp-bank-ApiWebform":{"description":"Informationen über ein Webform wenn eines angelegt wurde","properties":{"webformId":{"type":"string","description":"web form Id"},"type":{"type":"string","description":"web form Type","enum":["BANK_CONNECTION_IMPORT","BANK_CONNECTION_UPDATE","PAYMENT_WITH_ACCOUNT_ID","STANDALONE_PAYMENT","DIRECT_DEBIT_WITH_ACCOUNT_ID","STANDING_ORDER"]},"status":{"type":"string","description":"web form Status","enum":["NOT_YET_OPENED","IN_PROGRESS","COMPLETED","COMPLETED_WITH_ERROR","EXPIRED","ABORTED","CANCELLED"]},"payload":{"$ref":"#/components/schemas/erp-bank-ApiPayload"},"expiresAt":{"type":"string","format":"date-time","description":"time expires at"},"createdAt":{"type":"string","format":"date-time","description":"time created At"},"url":{"type":"string","description":"web form Url"}}}}}}
```

## POST /erp/bank/sync/{backendType}/{providerId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/bank/sync/{backendType}/{providerId}":{"post":{"tags":["Bank"],"operationId":"syncBank","parameters":[{"name":"backendType","in":"path","description":"Bankschnittstelle","required":true,"schema":{"type":"string","enum":["OFFLINE","FINAPI","FINAPI_SANDBOX","MOCKBANK","APP"]}},{"name":"providerId","in":"path","description":"ID des Banking-Providers","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-bank-Bank"}}}}}}}}},"components":{"schemas":{"erp-bank-Bank":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"description"},"bankingBackend":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"bankName":{"type":"string","description":"bank name"},"bic":{"type":"string","description":"BIC"},"blz":{"type":"string","description":"BLZ"},"externalId":{"type":"string","description":"External BankID"},"creditorId":{"type":"string","description":"Gläubiger-Identifikationsnummer"},"userActionRequired":{"type":"boolean","description":"Wether a call to bank init is needed.","readOnly":true},"accounts":{"type":"array","description":"accounts","items":{"$ref":"#/components/schemas/erp-bank-BankAccount"}},"providerId":{"type":"integer","format":"int64","description":"ID of the banking provider"},"userForSyncRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Ist die Bank aktiv","readOnly":true},"logoUrl":{"type":"string","description":"URL des Bank-Logos"}},"required":["label"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-bank-BankAccount":{"description":"accounts","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"bankId":{"type":"integer","format":"int64","description":"id of the bank"},"label":{"type":"string","description":"description"},"iban":{"type":"string","description":"IBAN"},"accountNumber":{"type":"string","description":"account number"},"subAccountNumber":{"type":"string","description":"sub account number"},"holderName":{"type":"string","description":"account holder"},"currency":{"type":"string","description":"currency"},"accountCredit":{"type":"number","description":"Kontokorrent-Betrag"},"sortOrder":{"type":"integer","format":"int32","description":"Konto-Position"},"defaultBankAccount":{"type":"boolean","default":false,"description":"Standard-Konto"},"active":{"type":"boolean","description":"Aktiv?"},"externalReferenceId":{"type":"string","description":"Referenz ID aus externem System","readOnly":true}}}}}}
```

## POST /erp/bank/start\_transaction\_download/{bankId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/bank/start_transaction_download/{bankId}":{"post":{"tags":["Bank"],"operationId":"startExternalDownload","parameters":[{"name":"bankId","in":"path","description":"bankId","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-ApiTaskInfo"}}}}}}}},"components":{"schemas":{"erp-bank-ApiTaskInfo":{"properties":{"id":{"type":"string","description":"Die ID des externen Tasks"},"createdAt":{"type":"string","format":"date-time","description":"Wann der Task angelegt wurde"},"status":{"type":"string","description":"Was ist der Status des Tasks derzeit","enum":["NOT_YET_STARTED","IN_PROGRESS","WEB_FORM_REQUIRED","COMPLETED","COMPLETED_WITH_ERROR"]},"payload":{"$ref":"#/components/schemas/erp-bank-ApiPayload"},"webform":{"$ref":"#/components/schemas/erp-bank-ApiWebform"}}},"erp-bank-ApiPayload":{"description":"api Payload","properties":{"bankConnectionId":{"type":"integer","format":"int64","description":"bank connection ID"},"paymentId":{"type":"integer","format":"int64","description":"payment Id"},"standingOrderId":{"type":"integer","format":"int64","description":"standing order Id"}}},"erp-bank-ApiWebform":{"description":"Informationen über ein Webform wenn eines angelegt wurde","properties":{"webformId":{"type":"string","description":"web form Id"},"type":{"type":"string","description":"web form Type","enum":["BANK_CONNECTION_IMPORT","BANK_CONNECTION_UPDATE","PAYMENT_WITH_ACCOUNT_ID","STANDALONE_PAYMENT","DIRECT_DEBIT_WITH_ACCOUNT_ID","STANDING_ORDER"]},"status":{"type":"string","description":"web form Status","enum":["NOT_YET_OPENED","IN_PROGRESS","COMPLETED","COMPLETED_WITH_ERROR","EXPIRED","ABORTED","CANCELLED"]},"payload":{"$ref":"#/components/schemas/erp-bank-ApiPayload"},"expiresAt":{"type":"string","format":"date-time","description":"time expires at"},"createdAt":{"type":"string","format":"date-time","description":"time created At"},"url":{"type":"string","description":"web form Url"}}}}}}
```

## GET /erp/bank/{id}/actions

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/bank/{id}/actions":{"get":{"tags":["Bank"],"operationId":"getBankActions","parameters":[{"name":"id","in":"path","description":"ID der Bank","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-bank-BankAction"}}}}}}}}},"components":{"schemas":{"erp-bank-BankAction":{"properties":{"description":{"type":"string","description":"Description of the action"},"type":{"type":"string","description":"action type","enum":["OPEN_URL"]},"expiration":{"type":"string","format":"date-time","description":"Expiration of the action"},"payload":{"type":"object","additionalProperties":{"type":"string","description":"Payload of actions to take (i.e. URL for type=OPEN_URL"},"description":"Payload of actions to take (i.e. URL for type=OPEN_URL"}}}}}}
```

## GET /erp/bank/search/{backendType}/{searchTerm}/{providerId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/bank/search/{backendType}/{searchTerm}/{providerId}":{"get":{"tags":["Bank"],"operationId":"searchExternalBankAccounts","parameters":[{"name":"backendType","in":"path","description":"Bankschnittstelle","required":true,"schema":{"type":"string","enum":["OFFLINE","FINAPI","FINAPI_SANDBOX","MOCKBANK","APP"]}},{"name":"searchTerm","in":"path","description":"Suchbegriff","required":true,"schema":{"type":"string"}},{"name":"providerId","in":"path","description":"ID des Banking-Providers","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-bank-BankRef"}}}}}}}}},"components":{"schemas":{"erp-bank-BankRef":{"properties":{"referenceId":{"type":"string","description":"reference id"},"label":{"type":"string","description":"description"},"bankName":{"type":"string","description":"bank name"},"bic":{"type":"string","description":"BIC"},"blz":{"type":"string","description":"BLZ"},"logoUrl":{"type":"string","description":"URL des Bank-Logos"}}}}}}
```

## GET /erp/bank/get\_webform\_by\_id/{bankId}/{webformId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/bank/get_webform_by_id/{bankId}/{webformId}":{"get":{"tags":["Bank"],"operationId":"getWebformById","parameters":[{"name":"bankId","in":"path","description":"bankId","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"webformId","in":"path","description":"webformIdentifier","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-ApiWebform"}}}}}}}},"components":{"schemas":{"erp-bank-ApiWebform":{"description":"Informationen über ein Webform wenn eines angelegt wurde","properties":{"webformId":{"type":"string","description":"web form Id"},"type":{"type":"string","description":"web form Type","enum":["BANK_CONNECTION_IMPORT","BANK_CONNECTION_UPDATE","PAYMENT_WITH_ACCOUNT_ID","STANDALONE_PAYMENT","DIRECT_DEBIT_WITH_ACCOUNT_ID","STANDING_ORDER"]},"status":{"type":"string","description":"web form Status","enum":["NOT_YET_OPENED","IN_PROGRESS","COMPLETED","COMPLETED_WITH_ERROR","EXPIRED","ABORTED","CANCELLED"]},"payload":{"$ref":"#/components/schemas/erp-bank-ApiPayload"},"expiresAt":{"type":"string","format":"date-time","description":"time expires at"},"createdAt":{"type":"string","format":"date-time","description":"time created At"},"url":{"type":"string","description":"web form Url"}}},"erp-bank-ApiPayload":{"description":"api Payload","properties":{"bankConnectionId":{"type":"integer","format":"int64","description":"bank connection ID"},"paymentId":{"type":"integer","format":"int64","description":"payment Id"},"standingOrderId":{"type":"integer","format":"int64","description":"standing order Id"}}}}}}
```

## GET /erp/bank/get\_external\_task/{bankId}/{taskId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/bank/get_external_task/{bankId}/{taskId}":{"get":{"tags":["Bank"],"operationId":"getTaskInfo","parameters":[{"name":"bankId","in":"path","description":"bankId","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"taskId","in":"path","description":"taskIdentifier","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-ApiTaskInfo"}}}}}}}},"components":{"schemas":{"erp-bank-ApiTaskInfo":{"properties":{"id":{"type":"string","description":"Die ID des externen Tasks"},"createdAt":{"type":"string","format":"date-time","description":"Wann der Task angelegt wurde"},"status":{"type":"string","description":"Was ist der Status des Tasks derzeit","enum":["NOT_YET_STARTED","IN_PROGRESS","WEB_FORM_REQUIRED","COMPLETED","COMPLETED_WITH_ERROR"]},"payload":{"$ref":"#/components/schemas/erp-bank-ApiPayload"},"webform":{"$ref":"#/components/schemas/erp-bank-ApiWebform"}}},"erp-bank-ApiPayload":{"description":"api Payload","properties":{"bankConnectionId":{"type":"integer","format":"int64","description":"bank connection ID"},"paymentId":{"type":"integer","format":"int64","description":"payment Id"},"standingOrderId":{"type":"integer","format":"int64","description":"standing order Id"}}},"erp-bank-ApiWebform":{"description":"Informationen über ein Webform wenn eines angelegt wurde","properties":{"webformId":{"type":"string","description":"web form Id"},"type":{"type":"string","description":"web form Type","enum":["BANK_CONNECTION_IMPORT","BANK_CONNECTION_UPDATE","PAYMENT_WITH_ACCOUNT_ID","STANDALONE_PAYMENT","DIRECT_DEBIT_WITH_ACCOUNT_ID","STANDING_ORDER"]},"status":{"type":"string","description":"web form Status","enum":["NOT_YET_OPENED","IN_PROGRESS","COMPLETED","COMPLETED_WITH_ERROR","EXPIRED","ABORTED","CANCELLED"]},"payload":{"$ref":"#/components/schemas/erp-bank-ApiPayload"},"expiresAt":{"type":"string","format":"date-time","description":"time expires at"},"createdAt":{"type":"string","format":"date-time","description":"time created At"},"url":{"type":"string","description":"web form Url"}}}}}}
```

## GET /erp/bank/get\_external\_state/{bankId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/bank/get_external_state/{bankId}":{"get":{"tags":["Bank"],"operationId":"getExternalState","parameters":[{"name":"bankId","in":"path","description":"bankId","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-BankConnectionDto"}}}}}}}},"components":{"schemas":{"erp-bank-BankConnectionDto":{"properties":{"referenceId":{"type":"string"},"bankReferenceId":{"type":"string"},"label":{"type":"string"},"bankName":{"type":"string"},"bic":{"type":"string"},"blz":{"type":"string"},"lastManualUpdate":{"type":"string","format":"date-time"},"lastManualUpdateMessage":{"type":"string"},"lastManualUpdateState":{"type":"string","enum":["OK","BANK_SERVER_REJECTION","INTERNAL_SERVER_ERROR","NONE"]},"lastAutoUpdate":{"type":"string","format":"date-time"},"lastAutoUpdateMessage":{"type":"string"},"lastAutoUpdateState":{"type":"string","enum":["OK","BANK_SERVER_REJECTION","INTERNAL_SERVER_ERROR","NONE"]},"consentExpiresAt":{"type":"string","format":"date-time"}}}}}}
```

## DELETE /erp/bank/{id}/delete\_connection

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/bank/{id}/delete_connection":{"delete":{"tags":["Bank"],"operationId":"deleteConnection","parameters":[{"name":"id","in":"path","description":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## DELETE /erp/bank/reset\_for\_provider\_type/{backendType}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/bank/reset_for_provider_type/{backendType}":{"delete":{"tags":["Bank"],"operationId":"resetForProvider","parameters":[{"name":"backendType","in":"path","required":true,"schema":{"type":"string","enum":["OFFLINE","FINAPI","FINAPI_SANDBOX","MOCKBANK","APP"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.vario-software.de/api-reference/bank.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
